Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# OS_NS_arpa_inet.h File Reference

`#include "ace/config-all.h"`
`#include "ace/os_include/arpa/os_inet.h"`
`#include "ace/ACE_export.h"`
`#include "ace/OS_NS_arpa_inet.inl"`

Include dependency graph for OS_NS_arpa_inet.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | ACE_OS
## Defines
#define | ACE_EXPORT_MACRO ACE_Export
#define | ACE_INLINE inline
## Functions
ACE_NAMESPACE_INLINE_FUNCTION unsigned long | inet_addr (const char *name)
ACE_Export int | inet_aton (const char *strptr, struct in_addr *addr)
ACE_NAMESPACE_INLINE_FUNCTION char * | inet_ntoa (const struct in_addr addr)
ACE_NAMESPACE_INLINE_FUNCTION const char * | inet_ntop (int family, const void *addrptr, char *strptr, size_t len)
ACE_NAMESPACE_INLINE_FUNCTION int | inet_pton (int family, const char *strptr, void *addrptr)

## Detailed Description

Id
  OS_NS_arpa_inet.h,v 1.5 2005/10/28 16:14:54 ossama Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>

  Jesper S. M|ller<stophph@diku.dk>

  and a cast of thousands...

Originally in OS.h.

## Define Documentation

#define ACE_EXPORT_MACRO ACE_Export

#define ACE_INLINE inline

## Function Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE unsigned long ACE_OS::inet_addr | ( | const char * | name | ) |

ACE_BEGIN_VERSIONED_NAMESPACE_DECL int ACE_OS::inet_aton | ( | const char * | strptr,
|  | struct in_addr * | addr
| ) |

ACE_INLINE char * ACE_OS::inet_ntoa | ( | const struct in_addr | addr | ) |

ACE_INLINE const char * ACE_OS::inet_ntop | ( | int | family,
|  | const void * | addrptr,
|  | char * | strptr,
|  | size_t | len
| ) |

ACE_INLINE int ACE_OS::inet_pton | ( | int | family,
|  | const char * | strptr,
|  | void * | addrptr
| ) |